Bug 1661292 - Running a `sync_task` while the tasks service gets restarted might lead to passenger process hanging forever
Summary: Running a `sync_task` while the tasks service gets restarted might lead to pa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin
Version: 6.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.4.2
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-20 17:39 UTC by Mike McCune
Modified: 2019-10-30 19:28 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman-tasks-0.13.4.3-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1635540
Environment:
Last Closed: 2019-02-13 19:08:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot 1 (227.33 KB, image/png)
2019-01-23 21:53 UTC, jcallaha
no flags Details
screenshot 2 (131.41 KB, image/png)
2019-01-23 21:53 UTC, jcallaha
no flags Details
screenshot 3 (67.47 KB, image/png)
2019-01-23 21:54 UTC, jcallaha
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25109 Normal Closed Running a `sync_task` while the tasks service gets restarted might lead to passenger process hanging forever 2020-02-25 14:37:12 UTC
Foreman Issue Tracker 25268 Normal Closed sync_task that results in paused/error throws a timeout exception 2020-02-25 14:37:12 UTC
Red Hat Product Errata RHBA-2019:0345 None None None 2019-02-13 19:08:23 UTC

Comment 2 jcallaha 2019-01-23 21:52:59 UTC
Verified in Satellite 6.4.2 Snap 1

I kicked off a set of add subscriptions tasks against 30 content hosts.
Then, I killed all dynflow_executor processes

Screenshot 1 shows one of the tasks waiting to be resumed, since dynflow was killed

I then restarted foreman-tasks service and resumed the task.

Screenshot 2 shows the task being resumed.

Screenshot 3 shows the task completing successfully.

Comment 3 jcallaha 2019-01-23 21:53:21 UTC
Created attachment 1522898 [details]
screenshot 1

Comment 4 jcallaha 2019-01-23 21:53:53 UTC
Created attachment 1522899 [details]
screenshot 2

Comment 5 jcallaha 2019-01-23 21:54:28 UTC
Created attachment 1522900 [details]
screenshot 3

Comment 7 errata-xmlrpc 2019-02-13 19:08:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0345


Note You need to log in before you can comment on or make changes to this bug.